# Uses of Interface
org.apache.commons.math3.analysis.DifferentiableMultivariateFunction

Packages that use DifferentiableMultivariateFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of DifferentiableMultivariateFunction in org.apache.commons.math3.analysis

Methods in org.apache.commons.math3.analysis that return DifferentiableMultivariateFunction
Modifier and Type
Method
Description
`static DifferentiableMultivariateFunction`
FunctionUtils.`toDifferentiableMultivariateFunction(MultivariateDifferentiableFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateFunction` interface itself is deprecated
Methods in org.apache.commons.math3.analysis with parameters of type DifferentiableMultivariateFunction
Modifier and Type
Method
Description
`static MultivariateDifferentiableFunction`
FunctionUtils.`toMultivariateDifferentiableFunction(DifferentiableMultivariateFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateFunction` interface itself is deprecated

## Uses of DifferentiableMultivariateFunction in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general with parameters of type DifferentiableMultivariateFunction
Modifier and Type
Method
Description
`protected PointValuePair`
AbstractScalarDifferentiableOptimizer.`optimizeInternal(int maxEval, DifferentiableMultivariateFunction f, GoalType goalType, double[] startPoint)`
Deprecated.
Optimize an objective function.